linux-mips
[Top] [All Lists]

MIPS Crosstoolchain for MIPS24K with dsp amd 24k compiler options

To: linux-mips@linux-mips.org, linux-serial@vger.kernel.org, linux-kernel@vger.kernel.org, buildroot@uclibc.org
Subject: MIPS Crosstoolchain for MIPS24K with dsp amd 24k compiler options
From: sathesh babu <sathesh_edara2003@yahoo.co.in>
Date: Sat, 20 Oct 2007 09:07:07 +0100 (BST)
Domainkey-signature: a=rsa-sha1; q=dns; c=nofws; s=s1024; d=yahoo.co.in; h=X-YMail-OSG:Received:Date:From:Subject:To:In-Reply-To:MIME-Version:Content-Type:Content-Transfer-Encoding:Message-ID; b=2Ucfrx3E6ELRGu528Y4/pRt/9mXIIP3vi6uD5l/IZHa/jCsljB0gMwrYtM45jyDxHB0Dd1zn4DSO8EyLldppCPyQ7G4QSH6F6BZHKV5LrqZ3ouiuYBb942Ik5nOlPN6DWp0vS9TqBskGxH/4zFfsTYvA6XrCskfwnuqUg8YFUMw=;
In-reply-to: <Pine.LNX.4.64N.0710192135440.13279@blysk.ds.pg.gda.pl>
Original-recipient: rfc822;linux-mips@linux-mips.org
Sender: linux-mips-bounce@linux-mips.org
Hi,
 
I would like to build cross toolchain for MIPS24K processor with "-mdsp" and
 "-m24k" compile flag options for linux-2.6.18.8 kernel.
 
I tried with below combinations of
- GCC-4.2.1,GCC-4.0.1, GCC-4.1.0
- binutils-2.15, binutil-2.17,binutil-2.18 
-  uClibc-0.9.27
but i couldn't succeed any of the above combinations.
 
I checked the mailing list and it is mentioned that GCC-4.2.x version of gcc has problems.
 
Could you please guide me the, the exact versions of
 - GCC 
 - binutils
 - ucLibc
to be used to build toolchain with "-mdsp" and "-m24k" compiler options for linux-2.6.18.8 kernel version.
 
Thanks. 
 
Regards,
Sathesh


Bollywood, fun, friendship, sports and more. You name it, we have it.
<Prev in Thread] Current Thread [Next in Thread>